Fulfillment & ShippingMethods
Update shipping method
Updates a shipping or pickup method's price, eligibility limits, schedule, provider connection, pickup points, and checkout visibility.
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.ecomiq.pe/api/v1/shipping/methods/7204558912004321806" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "baseLanguage": "Envío estándar", "translations": { "key": { "displayName": "Envío estándar" } }, "name": "Envío estándar", "displayName": "Envío estándar", "type": "regular", "basePrice": 89, "currency": "PEN", "estimatedDeliveryDays": 30 }'Empty